# $Revision: 1.43 $, $Date: 2004/05/07 00:32:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Tree
Summary:	A suite for making parse trees out of HTML source
Summary(pl):	Pakiet do tworzenie przetworzonych drzew rda w HTML-u
Name:		perl-HTML-Tree
Version:	3.18
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a9e4e565648c9772e7d8ec6d4392497
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-HTML-Parser >= 2.19
# do not change to BuildRequires
Requires:	perl-HTML-Format
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of modules that represent, create and extract
information from HTML syntax trees. Modules included: HTML::Element,
HTML::TreeBuilder, HTML::AsSubs, HTML::Parse.

%description -l pl
Kolekcja moduw do operowania na drzewach skadni HTML. Pakiet
zawiera moduy: HTML::Element, HTML::TreeBuilder, HTML::AsSubs,
HTML::Parse.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/HTML/*.pm
%dir %{perl_vendorlib}/HTML/Element
%{perl_vendorlib}/HTML/Element/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Tree.spec,v $
Revision 1.43  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.42  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.41  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.40  2004/04/22 10:50:15  ankry
- summary

Revision 1.38  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.37  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.36  2003/09/18 13:19:24  adamg
- updated to 3.18

Revision 1.35  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:33:22  ankry
- massive attack: change CPAN URLs

Revision 1.28  2003/02/05 16:18:32  ankry
- autoupdated to 3.17

Revision 1.27  2002/11/26 10:02:20  mis
- autoupdated to 3.16

Revision 1.26  2002/11/08 18:11:49  radek
- version 3.15

Revision 1.25  2002/09/26 17:23:08  ankry
- added tests on bcond
- new %%doc, cleaning, fixed %%files
- version 3.13

Revision 1.24  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:16:24  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:27:21  depesz
adapterized

Revision 1.18  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/04/17 12:10:38  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/03/15 10:33:09  mis
- updated (by autoup) to 3.11

Revision 1.13  2001/02/19 14:05:32  mis
- updated (by autoup) to 3.09

Revision 1.12  2001/01/08 20:44:31  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.11  2000/07/16 23:56:28  kloczek
- release 3.

Revision 1.10  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.6  2000/02/17 19:34:29  pius
- removed perl-HTML-Stream from BuildRequires

Revision 1.5  2000/02/17 19:08:20  pius
- fixed descriptions

Revision 1.4  2000/02/17 18:49:56  pius
- updated to 0.62

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 10:26:25  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- release++

Revision 1.1  1999/09/28 18:49:29  pius
- initial release
based on autogenerated spec file from RH
